Issue for pos_partial_payment (#1,053)
Status: OPEN
Date: 25/05/2021
ID: 1,053
S/O number: SO2021/1425010
Reviewer: Hiral Bhatt
Module Name: pos_partial_payment
Version: 14.0
Tags:

Assigned to
Contact
Vishal Makwana
Vishal.Makwana@browseinfo.in

Description
Hello,

I have installed and configured this module, everything works fine, except when trying to add a partial payment i get the following error:

Odoo Server Error
Traceback (most recent call last):
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/http.py", line 683, in dispatch
result = self._call_function(**self.params)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/http.py", line 359, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/http.py", line 347, in checked_call
result = self.endpoint(*a, **kw)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/http.py", line 912, in __call__
return self.method(*args, **kw)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/http.py", line 531, in response_wrap
response = f(*args, **kw)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/addons/web/controllers/main.py", line 1377, in call_kw
return self._call_kw(model, method, args, kwargs)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/addons/web/controllers/main.py", line 1369, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/api.py", line 396, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/api.py", line 383, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/addons/pos_partial_payment/models/custom_sale.py", line 78, in pay_partial_payment
lines.append(pos_line)
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/opt/bitnami/apps/odoo/lib/odoo-14.0.post20210130-py3.7.egg/odoo/http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
UnboundLocalError: local variable 'pos_line' referenced before assignment

Message and communication history